abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
dnes 16:22 | Nová verze

Byl vydán Cool-Retro-Term ve verzi 1.1.1. Jedná se o emulátor terminálu, který napodobuje vzhled a chování starých CRT terminálů. Ukázka vlastností a nastavení předchozí verze na YouTube. Cool-Retro-Term je nově k dispozici také jako balíček ve formátu AppImage. Stačí je stáhnout, nastavit právo ke spuštění a spustit.

Ladislav Hagara | Komentářů: 0
dnes 12:11 | IT novinky

Web gHacks upozorňuje na draft nové specifikace rozhraní pro rozšíření webového prohlížeče Google Chrome. Pozoruhodný je plán odstranit část API webRequest pro blokování – což by omezilo doplňky jako uBlock Origin určený pro blokování obsahu včetně reklam. Nadále by byl použitelný doplněk Adblock Plus, který provozuje whitelist reklam mj. právě Google.

Fluttershy, yay! | Komentářů: 3
dnes 00:33 | Zajímavý projekt

Byl spuštěn Humble Caffeine Bundle. V balíčku počítačových her jsou také hry běžící na Linuxu: GoNNER BLüEBERRY EDiTION, This War of Mine, Ken Follett's The Pillars of the Earth, Tyranny a Shadow Tactics: Blades of the Shogun.

Ladislav Hagara | Komentářů: 1
dnes 00:11 | Nová verze

Po roce vývoje od vydání verze 3.0 a více než 6 000 změnách byla vydána nová stabilní verze 4.0 softwaru, který vytváří aplikační rozhraní umožňující chod aplikací pro Microsoft Windows také pod GNU/Linuxem, Wine (Wikipedie). Z novinek lze zdůraznit například podporu Vulkanu nebo Direct3D 12. Podrobnosti v poznámkách k vydání.

Ladislav Hagara | Komentářů: 5
včera 20:44 | Nová verze

Byla vydána verze 11.7 open source alternativy GitHubu, tj. softwarového nástroje s webovým rozhraním umožňujícího spolupráci na zdrojových kódech, GitLab (Wikipedie). Představení nových vlastností i s náhledy v příspěvku na blogu.

Ladislav Hagara | Komentářů: 2
včera 17:22 | Bezpečnostní upozornění

V balíčkovacím systému APT používaném v Debianu a z něj vycházejících linuxových distribucích byla nalezena bezpečnostní chyba CVE-2019-3462. Útočník může vzdáleně spustit libovolný příkaz pod právy roota.

Ladislav Hagara | Komentářů: 6
včera 17:00 | Nová verze

Canonical oznámil vydání Ubuntu Core 18. Nová verze Ubuntu Core vychází z Ubuntu 18.04 LTS a podporována bude 10 let. Jedná se o placenou podporu. Ubuntu Core je určeno pro IoT (internet věcí) a vestavěné systémy.

Ladislav Hagara | Komentářů: 0
včera 15:31 | Nová verze

Vyšlo Pharo 7.0 (otevřená implementace Smalltalku). Nyní je kompletně bootstrapováno ze zdrojových kódů spravovaných Gitem, má nové nástroje na procházení a editaci kódu a přináší mnoho dalších změn a oprav. Popis novinek v češtině.

Pavel Křivánek | Komentářů: 0
včera 02:22 | Nová verze

Byla vydána verze 4.5 linuxové distribuce Parrot (Wikipedie). Jedná se o linuxovou distribuci založenou na Debianu a zaměřenou na penetrační testování, digitální forenzní analýzu, reverzní inženýrství, hacking, anonymitu nebo kryptografii.

Ladislav Hagara | Komentářů: 2
21.1. 17:22 | Pozvánky

V sobotu 23. února se uskuteční 6. ročník WordCampu – největší konferenci o WordPressu v ČR. Ke konferenci probíhá i soutěž typu CTF (Capture The Flag) o volné vstupenky, kde si lze zkusit zneužít běžné bezpečnostní chyby.

smíťa | Komentářů: 0
Používáte USB Type-C?
 (20%)
 (16%)
 (11%)
 (12%)
 (38%)
 (4%)
 (44%)
Celkem 477 hlasů
 Komentářů: 0
Rozcestník

Dotaz: Zkompilovani modulu

15.6.2004 17:38 soby
Zkompilovani modulu
Přečteno: 51×
Ahoj, mam tento problem: skoro vsechny audio aplikace chteji jack. Jack mam, jenomze ten zase chce realtime-patch v jadre. Na strankach jackit.sourceforge.net jsem se dozvedel, ze v novem jadre staci zavezt modul realtime-lsm. Stahl jsem si zdrojak modulu, nainstaloval zdrojaky jadra a ted vubec nevim co delat. Jeste nikdy jsem to nedelal a nechci si rozhodit stabilni system. Z dokumentace vubec nejsem moudrej. Podle vseho mi to bude nekde prepisovat moduly ktery s tim vubec nesouvisi a to se mi vubec nelibi. Prosim poradte jak na to. Mam FC2 a jadro 2.6.6-1.435. Prikladam fragment souboru INSTALL z kteryho jsem jelen.
  $ tar xvzf realtime-lsm-${version}
  $ cd realtime-lsm-${version}
 
If `/usr/src/linux' does not point to your kernel sources, set the
appropriate KERNEL_DIR in the Makefile or pass it as an argument to
make.  Now build the LSM and install all the kernel modules.  The make
can be done by any user, but does require write access to the kernel
build tree.
 
  $ make KERNEL_DIR=/usr/src/linux-2.6.6
  $ sudo make install
 
The install requires root authority.  For 2.6.5 and earlier kernels
this also recreates the entire /lib/modules/2.6.x subdirectory.  If
that already exists, you might want to save it under a different name
first, just to be safe.
 
For 2.6.6 and later kernels, make install only writes `realtime.ko' to
the `extras' subdirectory.  So, you still need to go back to the
kernel directory and install the remaining modules...
 
  $ cd /usr/src/linux
  $ sudo make modules_install

Odpovědi

15.6.2004 17:55 Pinky
Rozbalit Rozbalit vše Re: Zkompilovani modulu
na tomhle servru nedávno vyšel článek kompilování jádra. prostě jen někde na příkazový řádek obšlehni to co je v Install a pak ještě budeš muset donutit bootloader(grub) aby natahnul nove jadro. Pokud se to rozbije tak prostě přeinstaluj kernel přez nabootovane CD nebo zachrany režim (jestli umis s rpm ci co tam je)
15.6.2004 18:24 Soby
Rozbalit Rozbalit vše Re: Zkompilovani modulu
mam napsat:
tar xvzf realtime-lsm-0.1.1
cd realtime-lsm-0.1.1
make
make install
cd /usr/src/linux
make modules_install
Moc nechapu proc bych mel znovu kompilovat a instalovat vsechny moduly, kdyz mi to krasne slape. Bojim se a potrebuju aby mi nekdo napsal, ze se nemam ceho bat:))

Pokud vim, tak nvidia drivery kompiluji jenom spetku "lepiciho" kodu, samy uz jsou zkompilovane a jenom se nekam kopiruji. Na ostatni moduly to nesaha. Opravte me jestli se pletu.
15.6.2004 18:35 ...... | skóre: 41 | blog: ...
Rozbalit Rozbalit vše Re: Zkompilovani modulu
víš to je těžký ...můžeš to zkusit a může to šlapat..jenže třeba to jádro potřebuje nějakou podporu něčeho, aby mohlo s tím modulem pracovat...a to třeba jako modul nejde přeložit a ta podpora musí být v jádře ..a tam je zakopaný pes...Nvidia tak zrovna jde, ale spousta věcí tak taky nejde...nejsu odborník takto jsem to vydedukoval já....Yeti by určo věděl víc nebo mě opravil.
čao Petr
15.6.2004 20:14 Soby
Rozbalit Rozbalit vše Re: Zkompilovani modulu
Ten zdrojak ma sotva 6k, kvuli takovymu malymu prdiku si mozna shodim fungujici system, a to jeste kvuli nejakymu audioservru? Hmm, to se mi moc nelibi. Ja chapu ze je to kvuli latenci, ale nemuzu se rypat ve strevech svoji primarni stanice, abych mohl vyzkouset ardour, kdyz na ni musim zitra pracovat:-(

Upgradoval jsem vicemene proto, ze v 2.6 kernelech je latence snizena a je v nich alsa, ale moc to nepomohlo. Jack pise:
[root@soby soby]# jackstart
jackstart: cannot get realtime capabilities, current capabilities are:
           =ep cap_setpcap-ep
    probably running under a kernel with capabilities disabled,
    a suitable kernel would have printed something like "=eip"
15.6.2004 21:23 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: Zkompilovani modulu
Jak shodím fungující systém? Vždycky můžeš nabootovat do starého jádra, když ti nové nepojede.

Jinak vůbec nevím, co vlastně zkoušíš ;) ale Google ti rychle poví, že máš v tom případě spustit jack -d alsa (nebo něco v tom smyslu, zkrátka ne jackstart).
16.6.2004 00:40 Ctirad Feřtr | skóre: 43 | Praha
Rozbalit Rozbalit vše Re: Zkompilovani modulu
Jack žádné relatime nevyžaduje, funguje i bez toho. Akorát se nesmí spouštět přes jackstart, ale přes jackd. Pokud není vyžadován duplexní provoz s extrémně nízkou latencí, je to naprosto vyhovující. Ty patche řeší především to, aby jack i jeho aplikace mohly plně využívat realtime vymožeností a nemusely přitom běžet pod rootem.
16.6.2004 17:28 Soby
Rozbalit Rozbalit vše Re: Zkompilovani modulu
Diky moc za odpovedi, v linuxu umim sotva pracovat, takze se bojim delat potencionalne nebezpecny veci o kterych nic nevim. Moje neznalost anglictiny me taky dost handicapuje:(

ale stejne mi to moc nefunguje:
[soby@soby soby]# jackd -d alsa
jackd 0.98.0
Copyright 2001-2003 Paul Davis and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details
 
loading driver ..
creating alsa driver ... hw:0|hw:0|1024|2|48000|0|0|nomon|swmeter|-|32bit
control device hw:0
configuring for 48000Hz, period = 1024 frames, buffer = 2 periods
Couldn't open hw:0 for 32bit samples trying 24bit instead
Couldn't open hw:0 for 24bit samples trying 16bit instead
Couldn't open hw:0 for 32bit samples trying 24bit instead
Couldn't open hw:0 for 24bit samples trying 16bit instead
a tahle hlaska donekonecna:
**** alsa_pcm: xrun of at least 0.045 msecs
ctrl-c -> Segmentation fault:( Jeste se na to podivam.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.